SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000368SiT!otherpublic2009-01-06 20:432009-02-27 16:27
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.45 
Summary0000368: Write trigger_errors to disk
DescriptionWe should really write any errors which trigger_error displays to a longer file as this will allow us to:

a) identify problems which are not reported
b) Resolve problems which people see though dont have write down the error

Perhaps use $CONFIG['error_logfile']
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000414)
ivan (administrator)
2009-01-06 20:59

Already implemented in trunk svn r4587.
set $CONFIG['DEBUG'] = TRUE and your error_logfile path to a writable file.
User avatar (0000415)
paulh (administrator)
2009-01-06 21:31

Ivan, I think this should run all the time not only when you have debug mode on.

My reasoning is that we regularly get reports of an error on our live system though the end user dont record the error they have and the page redirects before I can get over and have a look. Theres two outstanding bugs which we cant managed to reproduce (errors on update and error on approving billable incidents)
User avatar (0000416)
ivan (administrator)
2009-01-06 21:42

ok, I'm up for that.

I'll make the change later unless you want to dive in. ;)
User avatar (0000417)
ivan (administrator)
2009-01-07 10:24

Resolved in trunk svn r4595

- Issue History
Date Modified Username Field Change
2009-01-06 20:43 paulh New Issue
2009-01-06 20:59 ivan Note Added: 0000414
2009-01-06 20:59 ivan Status new => closed
2009-01-06 20:59 ivan Resolution open => no change required
2009-01-06 21:31 paulh Note Added: 0000415
2009-01-06 21:31 paulh Status closed => feedback
2009-01-06 21:31 paulh Resolution no change required => open
2009-01-06 21:42 ivan Note Added: 0000416
2009-01-07 09:42 ivan Status feedback => assigned
2009-01-07 09:42 ivan Assigned To => ivan
2009-01-07 09:42 ivan Projection none => tweak
2009-01-07 09:42 ivan Target Version => 3.45
2009-01-07 10:24 ivan Note Added: 0000417
2009-01-07 10:24 ivan Status assigned => resolved
2009-01-07 10:24 ivan Resolution open => fixed
2009-01-07 10:24 ivan Fixed in Version => 3.45
2009-02-27 16:27 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker